package com.pictc.annotations.datalog;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.springframework.core.annotation.AliasFor;

/**
 * @author 张福财
 * @date 2025年8月26日 下午5:33:01
 * @Description: 数据日志属性配置
 */
@Target({ElementType.METHOD, ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface LogField {
	
	@AliasFor("name")
	String value() default "";
	
	/**
	 * @Description: 业务名称
	 * @return String 返回类型
	 */
	@AliasFor("value")
	String name() default "";
	
	/**
	 * @Description: 数据库字段
	 * @return String 返回类型
	 */
	String column() default "";
	
	/**
	 * @Description: 位置
	 * @return int 返回类型
	 */
	int index() default 0;

}
